Bug 98121 - SEH exception on remote URP shutdown
Summary: SEH exception on remote URP shutdown
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.1.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Remote
  Show dependency treegraph
 
Reported: 2016-02-23 20:49 UTC by Michael Meeks
Modified: 2022-06-05 03:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
98121 backtrace with page heap with traces for unknown crash (8.85 KB, text/plain)
2016-09-23 07:45 UTC, Timur
Details
another backtrace with page heap with traces for unknown crash (21.55 KB, text/plain)
2016-09-23 09:04 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2016-02-23 20:49:23 UTC
While shutting down remotely via URP I sometimes get an SEH exception from the GL driver - I assume some badness:

 	atioglxx.dll!0bf5c6be()	Unknown
 	[Frames below may be incorrect and/or missing, no symbols loaded for atioglxx.dll]	
 	vcllo.dll!OpenGLFramebuffer::Bind() Line 39	C++
 	vcllo.dll!OpenGLContext::BindFramebuffer(OpenGLFramebuffer * pFramebuffer) Line 1612	C++
 	vcllo.dll!OpenGLContext::AcquireFramebuffer(const OpenGLTexture & rTexture) Line 1681	C++
>	vcllo.dll!OpenGLSalGraphicsImpl::CheckOffscreenTexture() Line 479	C++
 	vcllo.dll!OpenGLSalGraphicsImpl::PreDraw(OpenGLSalGraphicsImpl::XOROption eOpt) Line 198	C++
 	vcllo.dll!OpenGLSalGraphicsImpl::drawRect(long nX, long nY, long nWidth, long nHeight) Line 1399	C++
 	vcllo.dll!WinSalGraphics::drawRect(long nX, long nY, long nWidth, long nHeight) Line 805	C++
 	vcllo.dll!SalGraphics::DrawRect(long nX, long nY, long nWidth, long nHeight, const OutputDevice * pOutDev) Line 421	C++
 	vcllo.dll!OutputDevice::DrawRect(const Rectangle & rRect) Line 67	C++
 	vcllo.dll!OutputDevice::DrawColorWallpaper(long nX, long nY, long nWidth, long nHeight, const Wallpaper & rWallpaper) Line 84	C++
 	vcllo.dll!OutputDevice::DrawWallpaper(long nX, long nY, long nWidth, long nHeight, const Wallpaper & rWallpaper) Line 67	C++
 	vcllo.dll!OutputDevice::Erase() Line 100	C++
 	vcllo.dll!VirtualDevice::InnerImplSetOutputSizePixel(const Size & rNewSize, bool bErase, const boost::shared_array<unsigned char> & pBuffer) Line 331	C++
 	vcllo.dll!VirtualDevice::ImplSetOutputSizePixel(const Size & rNewSize, bool bErase, const boost::shared_array<unsigned char> & pBuffer) Line 399	C++
 	vcllo.dll!VirtualDevice::SetOutputSizePixel(const Size & rNewSize, bool bErase) Line 446	C++
 	vcllo.dll!GDIMetaFile::CreateThumbnail(BitmapEx & rBitmapEx, unsigned long nMaximumExtent, BmpConversion eColorConversion, BmpScaleFlag nScaleFlag) Line 2922	C++
 	sfxlo.dll!SfxPickList::AddDocumentToPickList(SfxObjectShell * pDocSh) Line 216	C++
 	sfxlo.dll!SfxPickList::Notify(SfxBroadcaster & __formal, const SfxHint & rHint) Line 422	C++
 	svllo.dll!SfxBroadcaster::Broadcast(const SfxHint & rHint) Line 51	C++
 	sfxlo.dll!SfxApplication::NotifyEvent(const SfxEventHint & rEventHint, bool bSynchron) Line 893	C++
 	sfxlo.dll!SfxBaseController::dispose() Line 1019	C++
 	fwklo.dll!`anonymous namespace'::Frame::setComponent(const com::sun::star::uno::Reference<com::sun::star::awt::XWindow> & xComponentWindow, const com::sun::star::uno::Reference<com::sun::star::frame::XController> & xController) Line 1543	C++
 	fwklo.dll!`anonymous namespace'::Frame::close(unsigned char bDeliverOwnership) Line 1774	C++
 	fwklo.dll!framework::Desktop::impl_closeFrames(bool bAllowUI) Line 1726	C++
 	fwklo.dll!framework::Desktop::terminate() Line 234	C++
 	msci_uno.dll!`anonymous namespace'::callVirtualMethod(void * pAdjustedThisPtr, long nVtableIndex, void * pRegisterReturn, _typelib_TypeClass eReturnTypeClass, long * pStackLongs, long nStackLongs) Line 74	C++
 	msci_uno.dll!`anonymous namespace'::cpp_call(bridges::cpp_uno::shared::UnoInterfaceProxy * pThis, bridges::cpp_uno::shared::VtableSlot aVtableSlot, _typelib_TypeDescriptionReference * pReturnTypeRef, long nParams, _typelib_MethodParameter * pParams, void * pUnoReturn, void * * pUnoArgs, _uno_Any * * ppUnoExc) Line 254	C++
 	msci_uno.dll!bridges::cpp_uno::shared::unoInterfaceProxyDispatch(_uno_Interface * pUnoI, const _typelib_TypeDescription * pMemberDescr, void * pReturn, void * * pArgs, _uno_Any * * ppException) Line 435	C++
 	binaryurplo.dll!binaryurp::IncomingRequest::execute_throw(binaryurp::BinaryAny * returnValue, std::vector<binaryurp::BinaryAny,std::allocator<binaryurp::BinaryAny> > * outArguments) Line 241	C++
 	binaryurplo.dll!binaryurp::IncomingRequest::execute() Line 73	C++
 	binaryurplo.dll!request(void * pThreadSpecificData) Line 83	C++
 	cppu3.dll!cppu_threadpool::JobQueue::enter(__int64 nDisposeId, bool bReturnWhenNoJob) Line 107	C++
 	cppu3.dll!cppu_threadpool::ORequestThread::run() Line 174	C++
 	cppu3.dll!threadFunc(void * param) Line 185	C++
 	sal3.dll!oslWorkerWrapperFunction(void * pData) Line 57	C
 	msvcr120d.dll!_callthreadstartex() Line 376	C
 	msvcr120d.dll!_threadstartex(void * ptd) Line 359	C
 	kernel32.dll!@BaseThreadInitThunk@12()	Unknown
 	ntdll.dll!___RtlUserThreadStart@8()	Unknown
 	ntdll.dll!__RtlUserThreadStart@8()	Unknown

Main thread is:

 	user32.dll!_NtUserGetMessage@16()	Unknown
 	user32.dll!_GetMessageW@16()	Unknown
>	vcllo.dll!ImplSalYieldMutexAcquireWithWait() Line 258	C++
 	vcllo.dll!WinSalInstance::DoYield(bool bWait, bool bHandleAllCurrentEvents, unsigned long nReleased) Line 705	C++
 	vcllo.dll!ImplYield(bool i_bWait, bool i_bAllEvents, const unsigned long nReleased) Line 509	C++
 	vcllo.dll!Application::Yield() Line 535	C++
 	vcllo.dll!Application::Execute() Line 471	C++
 	sofficeapp.dll!desktop::Desktop::DoExecute() Line 1292	C++
 	sofficeapp.dll!desktop::Desktop::Main() Line 1611	C++
 	vcllo.dll!ImplSVMain() Line 170	C++
 	vcllo.dll!SVMain() Line 208	C++
 	sofficeapp.dll!soffice_main() Line 96	C++
 	soffice.bin!sal_main() Line 48	C
 	soffice.bin!main(int argc, char * * argv) Line 47	C
 	soffice.bin!WinMain(void * _hinst, void * _dummy, char * _cmdline, int _nshow) Line 47	C
 	soffice.bin!__tmainCRTStartup() Line 618	C
 	soffice.bin!WinMainCRTStartup() Line 466	C
 	kernel32.dll!@BaseThreadInitThunk@12()	Unknown
 	ntdll.dll!___RtlUserThreadStart@8()	Unknown
 	ntdll.dll!__RtlUserThreadStart@8()	Unknown
Comment 1 Michael Meeks 2016-02-23 20:51:09 UTC
Hmm; nasty - we also have another method trying to enter:

 	ntdll.dll!_ZwWaitForSingleObject@12()	Unknown
 	ntdll.dll!_RtlpWaitOnCriticalSection@8()	Unknown
 	ntdll.dll!_RtlEnterCriticalSection@4()	Unknown
>	sal3.dll!osl_acquireMutex(_oslMutexImpl * Mutex) Line 72	C
 	vcllo.dll!osl::Mutex::acquire() Line 56	C++
 	vcllo.dll!SalYieldMutex::acquire() Line 141	C++
 	vcllo.dll!SolarMutexGuard::SolarMutexGuard() Line 1480	C++
 	swlo.dll!SwXText::insertString(const com::sun::star::uno::Reference<com::sun::star::text::XTextRange> & xTextRange, const rtl::OUString & rString, unsigned char bAbsorb) Line 286	C++
 	msci_uno.dll!`anonymous namespace'::callVirtualMethod(void * pAdjustedThisPtr, long nVtableIndex, void * pRegisterReturn, _typelib_TypeClass eReturnTypeClass, long * pStackLongs, long nStackLongs) Line 74	C++
 	msci_uno.dll!`anonymous namespace'::cpp_call(bridges::cpp_uno::shared::UnoInterfaceProxy * pThis, bridges::cpp_uno::shared::VtableSlot aVtableSlot, _typelib_TypeDescriptionReference * pReturnTypeRef, long nParams, _typelib_MethodParameter * pParams, void * pUnoReturn, void * * pUnoArgs, _uno_Any * * ppUnoExc) Line 254	C++
 	msci_uno.dll!bridges::cpp_uno::shared::unoInterfaceProxyDispatch(_uno_Interface * pUnoI, const _typelib_TypeDescription * pMemberDescr, void * pReturn, void * * pArgs, _uno_Any * * ppException) Line 435	C++
 	binaryurplo.dll!binaryurp::IncomingRequest::execute_throw(binaryurp::BinaryAny * returnValue, std::vector<binaryurp::BinaryAny,std::allocator<binaryurp::BinaryAny> > * outArguments) Line 241	C++
 	binaryurplo.dll!binaryurp::IncomingRequest::execute() Line 73	C++
 	binaryurplo.dll!request(void * pThreadSpecificData) Line 83	C++
 	cppu3.dll!cppu_threadpool::JobQueue::enter(__int64 nDisposeId, bool bReturnWhenNoJob) Line 107	C++
 	cppu3.dll!cppu_threadpool::ORequestThread::run() Line 174	C++
 	cppu3.dll!threadFunc(void * param) Line 185	C++
 	sal3.dll!oslWorkerWrapperFunction(void * pData) Line 57	C
 	msvcr120d.dll!_callthreadstartex() Line 376	C
 	msvcr120d.dll!_threadstartex(void * ptd) Line 359	C
 	kernel32.dll!@BaseThreadInitThunk@12()	Unknown
 	ntdll.dll!___RtlUserThreadStart@8()	Unknown
 	ntdll.dll!__RtlUserThreadStart@8()	Unknown

which seems like a recipe for trouble ;-) hmm.
Comment 2 Timur 2016-09-23 07:45:00 UTC
Created attachment 127567 [details]
98121 backtrace with page heap with traces for unknown crash

I have no idea whether this is related, looks so, but I attach my backtrace from Windbg with page heap with traces that I got for unknown crash trying just to open a file. Tested with LO 32-bit master.
Comment 3 Timur 2016-09-23 09:04:58 UTC
Created attachment 127569 [details]
another backtrace with page heap with traces for unknown crash

Here's another one from master, also just on File-Open. Since I already posted, not to open a new one if it can't help, please check whether those are of any use.
Comment 4 Xisco Faulí 2017-09-29 08:53:02 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-06-04 03:44:18 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2022-06-05 03:41:02 UTC
Dear Michael Meeks,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug